import Vector2 from '../../../core/geom/Vector2.js';

/**
 * @extends {Vector2}
 * @class
 */
class GridPosition extends Vector2 {

    /**
     *
     * @return {GridPosition}
     */
    clone() {
        const clone = new GridPosition();

        clone.copy(this);

        return clone;
    }

    /**
     *
     * @param {object} json
     * @returns {GridPosition}
     */
    static fromJSON(json) {
        const r = new GridPosition();

        r.fromJSON(json);

        return r;
    }
}

GridPosition.typeName = "GridPosition";


export default GridPosition;

